Rails.application.routes.draw do
  resources :genres
  resource :session, only: [:new, :create, :destroy]
  resources :users
  resources :reviews
    root "movies#index"

    resources :movies do
      resources :favorites, only: [:create, :destroy]
      resources :reviews
    end

  get "signup" => "users#new"
  get "movies/filter/:filter" => "movies#index", as: :filtered_movies
end
